﻿using LawFirmContracts.BindingModels;
using LawFirmContracts.SearchModels;
using LawFirmContracts.ViewModels;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace LawFirmContracts.BusinessLogicContracts
{
    public interface IBlankLogic
    {
        List<BlankViewModel>? ReadList(BlankSearchModel? model);
        BlankViewModel? ReadElement(BlankSearchModel model);
        bool Create(BlankBindingModel model);
        bool Update(BlankBindingModel model);
        bool Delete(BlankBindingModel model);
    }
}
